#pragma once

#include "CoreMinimal.h"
#include "KillerPower.h"
#include "K39Power.generated.h"

class AK39TentaclesActor;
class UInteractionDefinition;

UCLASS(Blueprintable)
class AK39Power : public AKillerPower
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	AK39TentaclesActor* _tentaclesActor;

public:
	UFUNCTION(BlueprintPure)
	AK39TentaclesActor* GetTentaclesActor() const;

	UFUNCTION(BlueprintPure, BlueprintImplementableEvent)
	UInteractionDefinition* GetSlashSurvivorInteraction();

public:
	AK39Power();
};

FORCEINLINE uint32 GetTypeHash(const AK39Power) { return 0; }
